/*
    IR Messenger - Infrared chat on TI89 calculators
    Copyright (C) 2003-2004  Sbastien Bourdeauducq

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __LOCALE_H
#define __LOCALE_H

#include "config.h"

#define START_CHATTING "Start chatting"
#define END_CHATTING "End chatting"
#define SETTINGS_MENU "Settings..."
#define MINIMIZE "Minimize"

#define START_CHATTING_HELP "Have fun :-)"
#define SETTINGS_HELP "Set up IR Messenger"
#define MINIMIZE_HELP "Go back to your previous application"

#define HW_CONNECT "Please connect the interface"
#define HW_DISCONNECT "Please disconnect the interface"
#define HW_PROBLEM "Hardware problem"
#define HW_NODETECT "The interface has not been detected, check your connections."
#define HW_NODETECT_RETRY "The interface has not been detected, check your connections. Retry?"

#define COMM_ERROR "Communication error"
#define MESSAGE_NOT_RECEIVED "The message may have not been received."
#define SENDING_MESSAGE "Sending message"
#define RECEIVING_MESSAGE "Receiving message"

#define LOGGING "Logging"
#define UNABLE_TO_OPEN_LOGFILE "Unable to open logfile ! Check that you didn't archive it and that you aren't using a reserved variable name."
#define BEGIN_LOGGING_TIMESTAMPED "*** Begin logging on %s at %s\n"
#define END_LOGGING_TIMESTAMPED "*** End logging on %s at %s\n"
#define BEGIN_LOGGING "*** Begin logging\n"
#define END_LOGGING "*** End logging\n"

#define SETTINGS "Settings"
#define LOGFILE_DLG "Log file :"

#define CHATROOM_MSG1 "IR Messenger "VERSION" (C) 2003-2004 Seb"
#define CHATROOM_MSG2 "IR Messenger comes with NO WARRANTY."
#define CHATROOM_MSG3 "This is free software, you are welcome to"
#define CHATROOM_MSG4 "redistribute it under certain conditions."
#define CHATROOM_MSG5 "See the GNU GPL license for details."

#define IRMSGR_SETUP "IR Messenger setup"
#define ALREADY_INSTALLED "IR Messenger is already installed"
#define NOT_ENOUGH_MEMORY "Not enough memory"
#define INSTALLATION_SUCCESSFUL "Installation successful"

#endif
